/*
 * built-in program copyright (C) 2009 -2010 H.Niwa
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef __BUILDIN_H
#define __BUILDIN_H

// EDITOR path
#define DEDITORPATH		"DEDITORPATH"
#define EDITORPATH		"EDITOR"
extern void GetEditorPath();

extern int Tron();
extern int Troff();

extern int xex(Context* cx, Node* goalscar, List* module);

extern int builtin(Context* cx, Node* goalscar, Node* &goalscdr,
					Node* &goals, List* module, int& r);
extern int ListLength(Node* n);
extern int getvar(Node* var, Node* mod, Node*& val);
extern int DoUnify(Context* cx, Node* goalscar, List* module);

extern int IncludeSub(Context* cx, Node* goalscar, List* module, char* libname);
extern int EventThrow(Node* ev);

#endif // __BUIDLIN_H

